Index: code/trunk/src/util/OutputBuffer.h
===================================================================
--- code/trunk/src/util/OutputBuffer.h	(revision 1784)
+++ code/trunk/src/util/OutputBuffer.h	(revision 1791)
@@ -27,4 +27,17 @@
  */
 
+/**
+    @file OutputBuffer.h
+    @brief Declaration of the OutputBuffer class.
+
+    The OutputBuffer acts almost like std::ostream. You can put text and other values to the
+    OutputBuffer by using the << operator. The OutputBuffer stores the text and calls registerd
+    listeners if new text gets assigned.
+    The listeners are then able to retrieve the text line by line.
+
+    It's important to know that getLine actually removes the line from the OutputBuffer, so it's
+    better to only have one "active" listener.
+*/
+
 #ifndef _OutputBuffer_H__
 #define _OutputBuffer_H__
@@ -38,4 +51,11 @@
 namespace orxonox
 {
+    /**
+        @brief A pure virtual baseclass for classes that want to register as listener to an OutputBuffer.
+
+        This class is pure virtual, so an inheriting class has to implement the function on it's own.
+        The function get's called, if an instance of the inheriting class registers as a listener at
+        an OutputBuffer and this buffer changes.
+    */
     class _UtilExport OutputBufferListener
     {
@@ -49,4 +69,13 @@
     };
 
+    /**
+        @brief The OutputBuffer acts almost like std::ostream and stores the assigned text.
+
+        If text gets assigned by using the << operator or another function, the OutputBuffer
+        calls it's listeners, allowing them to retrieve the text line by line.
+
+        It's important to know that getLine actually removes the line from the OutputBuffer, so it's
+        better to only have one "active" listener.
+    */
     class _UtilExport OutputBuffer
     {
@@ -55,4 +84,8 @@
             ~OutputBuffer() {}
 
+            /**
+                @brief Puts some object/value to the OutputBuffer. The text gets assigned and the OutputBuffer calls it's listeners.
+                @param object The object/value to assign
+            */
             template <class T>
             inline OutputBuffer& operator<<(T object)
@@ -63,4 +96,8 @@
             }
 
+            /**
+                @brief Reads the stored text of the other OutputBuffer and calls the listeners.
+                @param object The other OutputBuffer
+            */
             template <const OutputBuffer&>
             inline OutputBuffer& operator<<(const OutputBuffer& object)
@@ -75,4 +112,8 @@
             OutputBuffer& operator<<(std::ios_base& (*manipulator)(std::ios_base&));
 
+            /**
+                @brief Does the same like operator<<: Assigns the object to the stream and calls the listeners.
+                @param object The object/value
+            */
             template <class T>
             inline void add(T object)
@@ -82,4 +123,8 @@
             }
 
+            /**
+                @brief Assigns an object/value and adds std::endl.
+                @param object The object/value
+            */
             template <class T>
             inline void addLine(T object)
@@ -89,4 +134,7 @@
             }
 
+            /**
+                @brief Puts std::endl to the stream and calls the listeners.
+            */
             inline void newline()
             {
@@ -95,4 +143,7 @@
             }
 
+            /**
+                @brief Flushes the stored text (~empties the OutputBuffer).
+            */
             inline void flush()
             {
@@ -105,12 +156,17 @@
             void unregisterListener(OutputBufferListener* listener);
 
+            /**
+                @brief Returns the internal stringstream object.
+            */
             inline std::stringstream& getStream()
-                { return this->stream_; }
+            {
+                return this->stream_;
+            }
 
         private:
             void callListeners();
 
-            std::stringstream stream_;
-            std::list<OutputBufferListener*> listeners_;
+            std::stringstream stream_;                   //! The stringstream that stores the assigned text
+            std::list<OutputBufferListener*> listeners_; //! A list of all listeners
     };
 }
Index: code/trunk/src/util/OutputHandler.cc
===================================================================
--- code/trunk/src/util/OutputHandler.cc	(revision 1784)
+++ code/trunk/src/util/OutputHandler.cc	(revision 1791)
@@ -46,5 +46,5 @@
         this->logfilename_ = logfilename;
         this->logfile_.open(this->logfilename_.c_str(), std::fstream::out);
-        this->logfile_ << "Started log at yyyy/mm/dd hh:mm:ss" << std::endl;
+        this->logfile_ << "Started log at yyyy/mm/dd hh:mm:ss" << std::endl; // Todo: Get date and time
         this->logfile_.flush();
     }
@@ -122,5 +122,5 @@
 
     /**
-        @brief Overloaded << operator, redirects the output to the console and the logfile.
+        @brief Overloaded << operator, redirects the output to the console, the logfile and the ingame shell.
         @param manipulator A function, manipulating the outstream.
         @return A reference to the OutputHandler itself
@@ -144,5 +144,5 @@
 
     /**
-        @brief Overloaded << operator, redirects the output to the console and the logfile.
+        @brief Overloaded << operator, redirects the output to the console, the logfile and the ingame shell.
         @param manipulator A function, manipulating the outstream.
         @return A reference to the OutputHandler itself
@@ -166,5 +166,5 @@
 
     /**
-        @brief Overloaded << operator, redirects the output to the console and the logfile.
+        @brief Overloaded << operator, redirects the output to the console, the logfile and the ingame shell.
         @param manipulator A function, manipulating the outstream.
         @return A reference to the OutputHandler itself
Index: code/trunk/src/util/OutputHandler.h
===================================================================
--- code/trunk/src/util/OutputHandler.h	(revision 1784)
+++ code/trunk/src/util/OutputHandler.h	(revision 1791)
@@ -32,5 +32,5 @@
 
     The OutputHandler acts like std::cout, but output isn't only shown in the console,
-    but also written to the logfile.
+    but also written to the logfile and the ingame shell.
 */
 
@@ -48,5 +48,5 @@
 namespace orxonox
 {
-    //! The OutputHandler acts like std::cout, but redirects output to the console AND the logfile.
+    //! The OutputHandler acts like std::cout, but redirects output to the console, the logfile and the ingame shell.
     class _UtilExport OutputHandler
     {
Index: code/trunk/src/util/String.cc
===================================================================
--- code/trunk/src/util/String.cc	(revision 1784)
+++ code/trunk/src/util/String.cc	(revision 1791)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file String.cc
+    @brief Implementation of several string manipulation functions.
+*/
+
 #include "String.h"
 
@@ -33,6 +38,5 @@
 
 /**
-    @brief Blank string as variable so you can use const std::string& even
-           if you have to return "".
+    @brief Blank string as variable so you can use const std::string& even if you have to return "".
 */
 std::string blankString = "";
@@ -273,4 +277,9 @@
 }
 
+/**
+    @brief Adds backslashes to the given string which makes special chars visible. Existing slashes will be doubled.
+    @param str The string to manipulate
+    @return The string with added slashes
+*/
 std::string addSlashes(const std::string& str)
 {
@@ -291,4 +300,9 @@
 }
 
+/**
+    @brief Removes backslashes from the given string. Double backslashes are interpreted as one backslash.
+    @param str The string to manipulate
+    @return The string with removed slashes
+*/
 std::string removeSlashes(const std::string& str)
 {
Index: code/trunk/src/util/String.h
===================================================================
--- code/trunk/src/util/String.h	(revision 1784)
+++ code/trunk/src/util/String.h	(revision 1791)
@@ -23,7 +23,12 @@
  *      Fabian 'x3n' Landau
  *   Co-authors:
- *      Benjamin Grauer
+ *      ...
  *
  */
+
+/**
+    @file String.h
+    @brief Declaration of several string manipulation functions, used in many parts of the game.
+*/
 
 #ifndef _Util_String_H__
Index: code/trunk/src/util/SubString.cc
===================================================================
--- code/trunk/src/util/SubString.cc	(revision 1784)
+++ code/trunk/src/util/SubString.cc	(revision 1791)
@@ -25,4 +25,5 @@
  *      Benjamin Grauer
  *
+
 //
 //  splitLine
@@ -33,4 +34,6 @@
 //  Copyright (c) 2005 Clemens Wacha. All rights reserved.
 //
+
+ *   Extended by Fabian 'x3n' Landau by the SL_PARENTHESES mode.
  */
 
Index: code/trunk/src/util/SubString.h
===================================================================
--- code/trunk/src/util/SubString.h	(revision 1784)
+++ code/trunk/src/util/SubString.h	(revision 1791)
@@ -34,5 +34,5 @@
 //  Copyright (c) 2005 Clemens Wacha. All rights reserved.
 
- * Extended by Fabian 'x3n' Landau with the SL_PARENTHESES mode.
+ *   Extended by Fabian 'x3n' Landau by the SL_PARENTHESES mode.
  */
 
Index: code/trunk/src/util/XMLIncludes.h
===================================================================
--- code/trunk/src/util/XMLIncludes.h	(revision 1784)
+++ code/trunk/src/util/XMLIncludes.h	(revision 1791)
@@ -21,9 +21,14 @@
  *
  *   Author:
- *      ...
+ *      Fabian 'x3n' Landau
  *   Co-authors:
  *      ...
  *
  */
+
+/**
+    @file XMLIncludes.h
+    @brief Forward declarations of some XML classes.
+*/
 
 #include "UtilPrereqs.h"
